SessionType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.ctdp.rfdynhud.gamedata
Enum SessionType

    java.lang.Object
      java.lang.Enum<SessionType>
          net.ctdp.rfdynhud.gamedata.SessionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SessionType>

    public enum SessionType

extends java.lang.Enum<SessionType>

Author:
  Marvin Froehlich (CTDP)

Enum Constant Summary
`PRACTICE1`
`PRACTICE2`
`PRACTICE3`
`PRACTICE4`
`QUALIFYING`
`RACE`
`TEST_DAY`
`WARMUP`

Field Summary
`static java.lang.String` | `PRACTICE_WILDCARD`

Method Summary
`boolean` | `isPractice()`
`boolean` | `isRace()`
`boolean` | `isTestDay()`
`static SessionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SessionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TEST_DAY

    public static final SessionType TEST_DAY

### PRACTICE1

    public static final SessionType PRACTICE1

### PRACTICE2

    public static final SessionType PRACTICE2

### PRACTICE3

    public static final SessionType PRACTICE3

### PRACTICE4

    public static final SessionType PRACTICE4

### QUALIFYING

    public static final SessionType QUALIFYING

### WARMUP

    public static final SessionType WARMUP

### RACE

    public static final SessionType RACE

Field Detail

### PRACTICE_WILDCARD

    public static final java.lang.String PRACTICE_WILDCARD

See Also:
  Constant Field Values

Method Detail

### values

    public static SessionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SessionType c : SessionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SessionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isTestDay

    public final boolean isTestDay()

### isPractice

    public final boolean isPractice()

### isRace

    public final boolean isRace()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD